Kapitel 5. Paketmanagement
Zurück | 5.61 dlocate | Weiter

## 5.61 `dlocate`

Wenn Sie sich ein wenig mit den Interna des Debian-Paket-Systems auseinander gesetzt haben, sind Sie mit Sicherheit auch auf `dpkg`, das ursprüngliche Programm zum Paketmanagement gestoßen. `dpkg` kann mit den Optionen `-L` und `-S` dazu benutzt werden, in den Paketdateien nach den Paketnamen zu suchen, in denen sich bestimmte Dateien befinden. Als schnelle Alternative dazu bietet sich das Programm `dlocate` an. Intern benutzt `dlocate` das GNU-Programm `locate` und kann über Parameter auch beispielsweise alle Dateien, die zu einem Paket gehören, anzeigen, den benötigten Festplattenplatz und Checksummen berechnen oder auch die passenden Manpages auflisten.

Wenn Sie `dlocate` ohne weitere Parameter aufrufen, bekommen Sie eine kurze Übersicht der Optionen:

    linux:/home/fr/buch# dlocate
    Usage: dlocate [option] [string...]

    Options:
        (no option) string  list all records that match
        -S        string      list records where files match
        -L        package     list all files in package
        -l        package     almost-emulation of 'dpkg -l'
        -s        package     print package's status
        -ls       package     'ls -ldF' of all files in package
        -du       package     'du -sck' of all files in package
        -conf     package     list conffiles in package
        -lsconf   package     'ls -ldF' of conffiles in package
        -md5sum   package     list package's md5sums (if any)
        -md5check package     check package's md5sums (if any)
        -man      package     list package's man pages (if any)

      The -L, -s, and -S commands are roughly analagous to the
      equivalent dpkg commands.

### Suchen von nicht installierten Dateien

Die Programme `dlocate` oder auch `dpkg -S` können nur Dateien finden, die bereits auf Ihrem System installiert sind. Manchmal kommt es aber vor, das Sie eine Datei oder ein Programm benötigen, von dem Sie den Namen kennen, aber nicht wissen, in welchem Paket es sich verbirgt. Sie können mit dem Kommando `apt-cache search exim.conf` nach der gewünschten Datei suchen.

Die zweite Möglichkeit ist folgende: Datei `Contents-i386.gz` (auf anderen Architekturen als `i386` setzen Sie bitte die entsprechende Architektur ein) enthält eine Liste aller Dateien mit den entsprechenden Paketnamen. Das Kommando `zcat Contents-i386.gz | grep exim.conf` sucht aus dieser Datei den Namen des Pakets heraus, zu dem die Datei `exim.conf` gehört.

Zurück | Nach oben | Weiter
5.60 `tzconfig` | Zum Anfang | 5.62 gpm

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).